
Foreman - Bug #5723

Puppet classes not showing Host Group Membership when used through Config Groups

05/14/2014 06:07 PM - Jason Berry

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Web Interface   

Target version: 1.8.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1201190 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1767

  

Description

Class doesn't show it's in a host group, if the class is part of a Config Group and that Config Group is used in a Host Group

Running Foreman 1.50

Related issues:

Related to Foreman - Bug #5725: Puppet Classes counters not updating # of hos... Closed 05/14/2014

Associated revisions

Revision eb8c02e1 - 11/27/2014 11:49 AM - Tomer Brisker

Fixes #5723 - Show host groups inherited via config groups in puppetclass index

History

#1 - 05/15/2014 08:14 AM - Dominic Cleal

- Category set to Web Interface

#2 - 05/15/2014 08:16 AM - Dominic Cleal

- Related to Bug #5725: Puppet Classes counters not updating # of hosts being used on added

#3 - 09/01/2014 05:35 AM - Tomer Brisker

- Assignee set to Tomer Brisker

#4 - 09/01/2014 08:55 AM - Tomer Brisker

- Status changed from New to Assigned

#5 - 09/16/2014 06:02 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Target version set to 1.7.3

- Pull request https://github.com/theforeman/foreman/pull/1767 added

- Pull request deleted ()

#6 - 09/30/2014 10:39 AM - Dominic Cleal

- Target version changed from 1.7.3 to 1.7.2

#7 - 11/27/2014 12:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset eb8c02e107cf585e277b1c97adc3776c79e8daaa.
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/eb8c02e107cf585e277b1c97adc3776c79e8daaa


#8 - 11/28/2014 03:16 AM - Dominic Cleal

- translation missing: en.field_release set to 29

#9 - 12/15/2014 05:00 AM - Dominic Cleal

- translation missing: en.field_release changed from 29 to 28

#10 - 03/12/2015 05:40 AM - Tomer Brisker

- Bugzilla link set to 1201190
